%define name wxosmose
%define cname WxOsmose
%define version 0.0.6
%define distsuffix plf
%define release %mkrel 1

Summary: %{cname} - front-end for Osmose emulator
Name: %{name}
Version: %{version}
Release: %{release}
Source0: %{name}-%{version}.tar.bz2
Patch0: %{name}-0.0.6-config-data-and-wx2.8.patch
Group: Emulators
License: GPL
URL: http://bcz.emu-france.com/
BuildRequires: wxGTK-devel >= 2.5.3
BuildRequires: desktop-file-utils
#make of use system zlib and unzip libs ?
Requires: osmose
BuildRoot: %_tmppath/%{name}-build

%description
WxOsmose is a front-end for Osmose, which is a command-line Sega Master 
System Emulator.

This package is in PLF because of Mandriva policy regarding emulators.

%prep
%setup -q -n %{name}-%{version}
%patch0 -p1
 
%build
%make

%install
rm -rf %{buildroot}
#binary
install -d -m 0755 %{buildroot}/%{_gamesbindir}
install -m 0755 %{name} %{buildroot}/%{_gamesbindir}/%{name}
#man page from debian/ dir

#data
install -d -m 0755 %{buildroot}/%{_gamesdatadir}/%{name}/datas/MasterSystem/
install -m 0644 datas/MasterSystem/roms.list %{buildroot}/%{_gamesdatadir}/%{name}/datas/MasterSystem/

#icon
install -d -m 0755 %{buildroot}/%{_iconsdir}
install -m 0644 ressources/%{name}.png %{buildroot}/%{_iconsdir}/%{name}.png

#old menu
install -d -m 755 %{buildroot}%{_menudir}
cat >%{buildroot}%{_menudir}/%{name} <<EOF
?package(%{name}): \
 command="%{_gamesbindir}/%{name}"\
 needs="X11"\
 section="More Applications/Emulators"\
 icon="%{name}.png"\
 title="%{cname}"\
 longtitle="%{Summary}"\
 xdg="true"
EOF

#xdg menu
desktop-file-install --vendor="" \
 --remove-category="Application" \
 --remove-category="Game" \
 --add-category="X-MandrivaLinux-MoreApplications-Emulators" \
 --add-category="Emulator" \
 --dir=%{buildroot}%{_datadir}/applications \
 debian/wxosmose.desktop

%files
%defattr(-,root,games)
%doc Docs/*
%{_gamesbindir}/%{name}
%{_gamesdatadir}/%{name}
%{_menudir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/%{name}.png

%clean
rm -rf %{buildroot}

%post
%{update_menus}

%postun
%{clean_menus}

%changelog
* Wed Aug 15 2007 Guillaume Bedot <littletux@zarb.org> 0.0.6-1plf2008.0
- First package of wxosmose for PLF
